> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/invoke-raspubitemcmd.md).

# Invoke-RASPubItemCmd.md

## NAME

Invoke-RASPubItemCmd

## SYNOPSIS

Invoke published items commands.

## SYNTAX

**Invoke-RASPubItemCmd** -[Command](#Command) {SortFolder} \[[Id](#id-string) *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Invoke-RASPubItemCmd \[-[InputObject](#inputobject)] *(*[*PubItem*](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/pubitem.md)*)* -[Command](#Command) {SortFolder} \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Performs an operation on the Published Resources tree.

SortFolder: sort PubFolders by folder name in the Published Resources tree.

## PARAMETERS

## Id (uint)

Published item ID.

To obtain the Published item ID, use the Get-PubItem command.

```
        Required?                    false

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## InputObject ([PubItem](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/pubitem.md))

The Published item object.

To obtain a PubItem object representing a Published item, use the Get-PubItem command."

To obtain a PubFolder object representing a Published folder, use the Get-PubFolder command."

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Command ([PubItem](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/pubitem.md))

Published item command.

Accepted values: SortFolder.

Possible values: SortFolder

```
        Required?                    true

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Invoke-RASPubItemCmd -Command SortFolder

Sorts published items directly under the root node (i.e. all items that have the parent item ID set to 0)

To obtain a folder ID, use the Get-RASPubItem cmdlet.\
\*\*---------- EXAMPLE 2 ----------

Invoke-RASPubItemCmd -Command SortFolder -Id 5

Sorts published items in the specified folder.

To obtain the folder ID, use the Get-RASPubItem cmdlet.\
\*\*---------- EXAMPLE 3 ----------

$PubFld | Invoke-RASPubItemCmd -Command SortFolder

Invoke the sort pub folder command, which is identified by an object obtained from the pipeline output.

To obtain a folder ID, use the Get-RASPubFolder cmdlet.

## RELATED LINKS

* [Get-RASPubItem](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-raspubitem.md)
* [Get-RASPubFolder](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-raspubfolder.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/invoke-raspubitemcmd.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
